CMSIS-FreeRTOS: Tasks Functions

| CMSIS-FreeRTOS Version 10.4.6 CMSIS-RTOS2 compliant FreeRTOS Implementation

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
Tasks Functions
Event functions

Events generated by tasks functions. More...

## Functions
void | EvrFreeRTOSTasks_TaskCreate (TCB_t pxNewTCB)
| Event on successful task create (Op) More...
void | EvrFreeRTOSTasks_TaskCreateFailed (void)
| Event on unsuccessful task create (Error) More...
void | EvrFreeRTOSTasks_TaskDelete (TCB_t pxTCB)
| Event on task delete (Op) More...
void | EvrFreeRTOSTasks_TaskDelayUntil (uint32_t xTimeToWake)
| Event before current running task execution is delayed (Op) More...
void | EvrFreeRTOSTasks_TaskDelay (uint32_t xTicksToDelay)
| Event on current thread execution delay (Op) More...
void | EvrFreeRTOSTasks_TaskPrioritySet (TCB_t pxTCB, uint32_t uxNewPriority)
| Event on task priority set (Op) More...
void | EvrFreeRTOSTasks_TaskSuspend (TCB_t pxTCB)
| Event on task suspend (Op) More...
void | EvrFreeRTOSTasks_TaskResume (TCB_t pxTCB)
| Event on task resume (Op) More...
void | EvrFreeRTOSTasks_TaskResumeFromIsr (TCB_t pxTCB)
| Event on task resume call from ISR (Op) More...
void | EvrFreeRTOSTasks_TaskIncrementTick (uint32_t xTickCount)
| Event on tick count increment (Detail) More...
void | EvrFreeRTOSTasks_IncreaseTickCount (uint32_t xTicksToJump)
| Event on tick count increase (Op) More...
void | EvrFreeRTOSTasks_TaskSwitchedOut (TCB_t pxCurrentTCB)
| Event before a new task is selected to run (Op) More...
void | EvrFreeRTOSTasks_TaskSwitchedIn (TCB_t pxCurrentTCB, uint32_t uxTopPriority)
| Event after a task has been selected to run (Op) More...
void | EvrFreeRTOSTasks_TaskPriorityInherit (TCB_t pxTCBOfMutexHolder, uint32_t uxInheritedPriority)
| Event on task priority inheritance (Op) More...
void | EvrFreeRTOSTasks_TaskPriorityDisinherit (TCB_t pxTCBOfMutexHolder, uint32_t uxOriginalPriority)
| Event on task priority disinheritance (Op) More...
void | EvrFreeRTOSTasks_MovedTaskToReadyState (TCB_t pxTCB)
| Event sent before transition of a task into the Ready state (Op) More...
void | EvrFreeRTOSTasks_PostMovedTaskToReadyState (TCB_t pxTCB)
| Event sent after transition of a task into the Ready state (Op) More...
void | EvrFreeRTOSTasks_LowPowerIdleBegin (uint32_t xExpectedIdleTime)
| Event on enter to the low power mode (Op) More...
void | EvrFreeRTOSTasks_LowPowerIdleEnd (void)
| Event on exit from the low power mode (Op) More...
void | EvrFreeRTOSTasks_TaskNotifyTakeBlock (uint32_t uxIndexToWait, uint32_t xTicksToWait)
| Event on indicating the current running task is about to block while waiting for notification to be non-zero (Op) More...
void | EvrFreeRTOSTasks_TaskNotifyTake (uint32_t uxIndexToWait, uint32_t ulNotifiedValue)
| Event on successful task notify take (Op) More...
void | EvrFreeRTOSTasks_TaskNotifyWaitBlock (uint32_t uxIndexToWait, uint32_t xTicksToWait)
| Event indicating the current running task is about to block while waiting to receive notification (Op) More...
void | EvrFreeRTOSTasks_TaskNotifyWait (uint32_t uxIndexToWait, uint32_t ulNotifiedValue)
| Event on successful task notify wait (Op) More...
void | EvrFreeRTOSTasks_TaskNotify (TCB_t xTaskToNotify, uint32_t uxIndexToWait, uint32_t eAction, uint32_t ulNotifiedValue)
| Event on successful task notify (Op) More...
void | EvrFreeRTOSTasks_TaskNotifyFromIsr (TCB_t xTaskToNotify, uint32_t uxIndexToWait, uint32_t eAction, uint32_t ulNotifiedValue)
| Event on successful task notify from ISR (Op) More...

## Description

## Function Documentation

void EvrFreeRTOSTasks_IncreaseTickCount | ( | uint32_t | xTicksToJump | ) |

Parameters

  [in] | xTicksToJump | number of ticks by which the tick count is increased.

The event IncreaseTickCount is generated when tick count is increased by the number of ticks spent in low power mode.

Value in the Event Recorder shows:

- xTicksToJump : number of ticks by which the tick count is increased.

void EvrFreeRTOSTasks_LowPowerIdleBegin | ( | uint32_t | xExpectedIdleTime | ) |

Parameters

  [in] | xExpectedIdleTime | expected idle time in ticks.

The event LowPowerIdleBegin is generated when task scheduler enters the low power mode.

Value in the Event Recorder shows:

- xExpectedIdleTime : expected idle time in ticks.

void EvrFreeRTOSTasks_LowPowerIdleEnd | ( | void |  | ) |

The event LowPowerIdleEnd is generated when task scheduler exits from the low power mode.

void EvrFreeRTOSTasks_MovedTaskToReadyState | ( | TCB_t | pxTCB | ) |

Parameters

  [in] | pxTCB | pointer to task handle.

The event MovedTaskToReadyState is generated before the task is transitioned into the Ready state.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_PostMovedTaskToReadyState | ( | TCB_t | pxTCB | ) |

Parameters

  [in] | pxTCB | pointer to task handle.

The event PostMovedTaskToReadyState is generated after the task is transitioned into the Ready state.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_TaskCreate | ( | TCB_t | pxNewTCB | ) |

Parameters

  [in] | pxNewTCB | pointer to task handle.

The event TaskCreate is generated when task object is successfully created.

Value in the Event Recorder shows:

- pxNewTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_TaskCreateFailed | ( | void |  | ) |

The event TaskCreateFailed is generated when task object create fails due to insufficient heap memory.

void EvrFreeRTOSTasks_TaskDelay | ( | uint32_t | xTicksToDelay | ) |

Parameters

  [in] | xTicksToDelay | number of ticks to delay.

The event TaskDelay is generated when the current running task execution is delayed.

Value in the Event Recorder shows:

- xTicksToDelay : number of ticks to delay.

void EvrFreeRTOSTasks_TaskDelayUntil | ( | uint32_t | xTimeToWake | ) |

Parameters

  [in] | xTimeToWake | wake time (ticks).

The event TaskDelayUntil is generated before the current running task execution is delayed.

Value in the Event Recorder shows:

- xTimeToWake : wake time in ticks.

void EvrFreeRTOSTasks_TaskDelete | ( | TCB_t | pxTCB | ) |

Parameters

  [in] | pxTCB | pointer to task handle.

The event TaskDelete is generated when the task is successfully added into thread termination list.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_TaskIncrementTick | ( | uint32_t | xTickCount | ) |

Parameters

  [in] | xTickCount | tick count before increment.

The event TaskIncrementTick is generated on every tick increment.

Value in the Event Recorder shows:

- xTickCount : tick count before increment.

void EvrFreeRTOSTasks_TaskNotify | ( | TCB_t | xTaskToNotify,
|  | uint32_t | uxIndexToWait,
|  | uint32_t | eAction,
|  | uint32_t | ulNotifiedValue
| ) |  |

Parameters

  [in] | xTaskToNotify | pointer to task to be notified.
  [in] | uxIndexToWait | task notification index.
  [in] | eAction | task notification action.
  [in] | ulNotifiedValue | current state of the notification value.

The event TaskNotify is generated when task notify is successfully executed.

Value in the Event Recorder shows:

- xTaskToNotify : pointer to task object handle (control block address).
- uxIndexToWait : task notification index
- eAction : task notification action (eNotifyAction).
- ulNotifiedValue : current state of the notification value.

void EvrFreeRTOSTasks_TaskNotifyFromIsr | ( | TCB_t | xTaskToNotify,
|  | uint32_t | uxIndexToWait,
|  | uint32_t | eAction,
|  | uint32_t | ulNotifiedValue
| ) |  |

Parameters

  [in] | xTaskToNotify | pointer to task to be notified.
  [in] | uxIndexToWait | task notification index.
  [in] | eAction | task notification action.
  [in] | ulNotifiedValue | current state of the notification value.

The event TaskNotifyFromIsr is generated when task notify from ISR is successfully executed.

Value in the Event Recorder shows:

- xTaskToNotify : pointer to task object handle (control block address).
- uxIndexToWait : task notification index
- eAction : task notification action (eNotifyAction).
- ulNotifiedValue : current state of the notification value.

void EvrFreeRTOSTasks_TaskNotifyTake | ( | uint32_t | uxIndexToWait,
|  | uint32_t | ulNotifiedValue
| ) |  |

Parameters

  [in] | uxIndexToWait | task notification index.
  [in] | ulNotifiedValue | current state of the notification value.

The event TaskNotifyTake is generated when task notify take is successfully executed.

Value in the Event Recorder shows:

- uxIndexToWait : task notification index
- ulNotifiedValue : current state of the notification value.

void EvrFreeRTOSTasks_TaskNotifyTakeBlock | ( | uint32_t | uxIndexToWait,
|  | uint32_t | xTicksToWait
| ) |  |

Parameters

  [in] | uxIndexToWait | task notification index.
  [in] | xTicksToWait | wait timeout in ticks.

The event TaskNotifyTakeBlock is generated when the current running task is about to block and wait to take notification.

Value in the Event Recorder shows:

- uxIndexToWait : task notification index
- xTicksToWait : wait timeout in ticks.

void EvrFreeRTOSTasks_TaskNotifyWait | ( | uint32_t | uxIndexToWait,
|  | uint32_t | ulNotifiedValue
| ) |  |

Parameters

  [in] | uxIndexToWait | task notification index.
  [in] | ulNotifiedValue | current state of the notification value.

The event TaskNotifyWait is generated when task notify wait is completed.

Value in the Event Recorder shows:

- uxIndexToWait : task notification index
- ulNotifiedValue : current state of the notification value.

void EvrFreeRTOSTasks_TaskNotifyWaitBlock | ( | uint32_t | uxIndexToWait,
|  | uint32_t | xTicksToWait
| ) |  |

Parameters

  [in] | uxIndexToWait | task notification index
  [in] | xTicksToWait | wait timeout in ticks.

The event TaskNotifyWaitBlock is generated when the current running task is about to block and wait to receive notification.

Value in the Event Recorder shows:

- uxIndexToWait : task notification index
- xTicksToWait : wait timeout in ticks.

void EvrFreeRTOSTasks_TaskPriorityDisinherit | ( | TCB_t | pxTCBOfMutexHolder,
|  | uint32_t | uxOriginalPriority
| ) |  |

Parameters

  [in] | pxTCBOfMutexHolder | pointer to task handle.
  [in] | uxOriginalPriority | old (original) task priority.

The event TaskPriorityDisinherit is generated when task priority is disinherited to its base priority.

Value in the Event Recorder shows:

- pxTCBOfMutexHolder : pointer to task object handle (control block address).
- uxOriginalPriority : task base priority

void EvrFreeRTOSTasks_TaskPriorityInherit | ( | TCB_t | pxTCBOfMutexHolder,
|  | uint32_t | uxInheritedPriority
| ) |  |

Parameters

  [in] | pxTCBOfMutexHolder | pointer to task handle.
  [in] | uxInheritedPriority | new (inherited) task priority.

The event TaskPriorityInherit is generated when task priority is inherited from the current running task.

Value in the Event Recorder shows:

- pxTCBOfMutexHolder : pointer to task object handle (control block address).
- uxInheritedPriority : inherited task priority

void EvrFreeRTOSTasks_TaskPrioritySet | ( | TCB_t | pxTCB,
|  | uint32_t | uxNewPriority
| ) |  |

Parameters

  [in] | pxTCB | pointer to task handle.
  [in] | uxNewPriority | The event TaskPrioritySet is generated when task priority is set.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).
- uxNewPriority : task new priority .

void EvrFreeRTOSTasks_TaskResume | ( | TCB_t | pxTCB | ) |

Parameters

  [in] | pxTCB | pointer to task handle.

The event TaskResume is generated when task execution is resumed.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_TaskResumeFromIsr | ( | TCB_t | pxTCB | ) |

Parameters

  [in] | pxTCB | pointer to task handle.

The event TaskResumeFromIsr is generated when task execution is resumed from the ISR.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_TaskSuspend | ( | TCB_t | pxTCB | ) |

Parameters

  [in] | pxTCB | pointer to task handle.

The event TaskSuspend is generated when task execution is suspended.

Value in the Event Recorder shows:

- pxTCB : pointer to task object handle (control block address).

void EvrFreeRTOSTasks_TaskSwitchedIn | ( | TCB_t | pxCurrentTCB,
|  | uint32_t | uxTopPriority
| ) |  |

Parameters

  [in] | pxCurrentTCB | handle to the task about to enter the running state.
  [in] | uxTopPriority | pxCurrentTCB task priority.

The event TaskSwitchedIn is generated after a task has been selected to run.

Value in the Event Recorder shows:

- pxCurrentTCB : pointer to task object handle (control block address).
- uxTopPriority : task priority

void EvrFreeRTOSTasks_TaskSwitchedOut | ( | TCB_t | pxCurrentTCB | ) |

Parameters

  [in] | pxCurrentTCB | handle to the task about to leave the running state.

The event TaskSwitchedOut is generated before a new task is selected to run.

Value in the Event Recorder shows:

- pxCurrentTCB : pointer to task object handle (control block address).